Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

DeactivateEabCredential

Prev Next

Available in Classic and VPC

Disable the ACME account and its EAB credentials.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v2/acme/account/{accountId}/deactivate

Request headers

For information about the headers common to all Certificate Manager APIs, see Certificate Manager request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
accountId Long Required ACME account ID to disable

Request example

The request example is as follows:

curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/acme/account/59723/deactivate' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
returnCode String - Response code
  • Success: 0
returnMessage String - Response message
totalRows Integer - Total number of lists searched

Response status codes

For information about the HTTP status codes common to all Certificate Manager APIs, see Certificate Manager response status codes.

Response example

The response example is as follows:

{
  "returnCode": "0",
  "returnMessage": "Account deactivated successfully",
  "totalRows": 0
}